variable "project_id" {
  description = "L'ID du projet GCP."
  type        = string
}

variable "region" {
  description = "La région GCP pour les sous-réseaux."
  type        = string
}

variable "frontend_cidr" {
  description = "Plage CIDR pour le sous-réseau frontend (public)."
  type        = string
}

variable "backend_cidr" {
  description = "Plage CIDR pour le sous-réseau backend (privé)."
  type        = string
}

variable "database_cidr" {
  description = "Plage CIDR pour le sous-réseau base de données (privé)."
  type        = string
}

variable "ssh_source_ranges" {
  description = "Plages CIDR autorisées pour l'accès SSH (par exemple, ['0.0.0.0/0'])."
  type        = list(string)
}